/*
 * stm32l4r5xx_decoder.h
 *
 *  Created on: May 5, 2021
 *      Author: pratham_ovalekar
 */

#ifndef INC_STM32L4R5XX_DECODER_H_
#define INC_STM32L4R5XX_DECODER_H_

#include "stm32l4r5xxExtd.h"

typedef struct
{

	TIM_TypeDef * DecoderBase;

}Decoder_Handle_t;



void DecoderInit( Decoder_Handle_t *decHandle );

void DecoderGetCount( Decoder_Handle_t *decHandle );

uint32_t DecoderGetDirection( Decoder_Handle_t *decHandle );

void DecoderEnable( Decoder_Handle_t *decHandle );



#endif /* INC_STM32L4R5XX_DECODER_H_ */
