/*
 * stm32l4r5xx_pwm.c
 *
 *  Created on: May 6, 2021
 *      Author: pratham_ovalekar
 */


#include "stm32l4r5xx_pwm.h"

void PWMInitTIM16_17( PWM_Handle_t * pwmHandle )
{
	pwmHandle->PWMBase->ARR = 1000UL;

	pwmHandle->PWMBase->CCR1 = 500UL;

	uint32_t tempReg = 96UL;
	pwmHandle->PWMBase->CCMR1 |= tempReg;
	pwmHandle->PWMBase->CCMR1 |= TIM_CCMR1_OC1PE;

	pwmHandle->PWMBase->CR1 |= TIM_CR1_ARPE;

	pwmHandle->PWMBase->EGR |= TIM_EGR_UG;

	pwmHandle->PWMBase->CCER &= ~( TIM_CCER_CC1P );

	pwmHandle->PWMBase->BDTR |= TIM_BDTR_MOE;
	pwmHandle->PWMBase->BDTR &= ~(TIM_BDTR_OSSR);
	pwmHandle->PWMBase->CCER |= (TIM_CCER_CC1E);
	pwmHandle->PWMBase->CCER &= ~(TIM_CCER_CC1NE);

	pwmHandle->PWMBase->CR1 |= TIM_CR1_CEN;


}

void PWMStartTIM16_17( PWM_Handle_t * pwmHandle )
{
	pwmHandle->PWMBase->CR1 |= TIM_CR1_CEN;
}

void PWMStopTIM16_17( PWM_Handle_t * pwmHandle )
{
	pwmHandle->PWMBase->CR1 &= (~TIM_CR1_CEN);
}

void PWMInitTIM16_15( PWM_Handle_t * pwmHandle )
{

}

void PWMStartTIM16_15( PWM_Handle_t * pwmHandle )
{

}

void PWMStopTIM16_15( PWM_Handle_t * pwmHandle )
{

}
